Opened 5 years ago

Closed 4 years ago

#3727 enhancement closed wontfix (wontfix)

Delete twisted.internet.default

Reported by: exarkun Owned by:
Priority: normal Milestone:
Component: core Keywords:
Cc: Branch:
Author: Launchpad Bug:

Description

It has been deprecated since 2004.

Change History (3)

comment:1 Changed 5 years ago by exarkun

  • Owner changed from glyph to exarkun

This will conflict slightly with #3722, so I'm waiting for that to finish before trying this.

comment:2 Changed 4 years ago by exarkun

  • Resolution set to wontfix
  • Status changed from new to closed

#2234 is going to make twisted.internet.default select a default reactor based on the platform and available extension modules. So, we're not going to delete the module, though we will delete the deprecation warning in it and all of the existing APIs it exposes. I'm just going to do that in #2234, so closing this now.

comment:3 Changed 3 years ago by <automation>

  • Owner exarkun deleted
Note: See TracTickets for help on using tickets.